using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ExcelRedmineAddIn
{
    public partial class ProgressDlg : Form
    {
        /// <summary>
        /// デフォルトコンストラクタ
        /// </summary>
        public ProgressDlg()
        {
            InitializeComponent();
        }

        private void ProgressDlg_Load( object sender, EventArgs e )
        {

        }

        /// <summary>
        /// プログレスバーの最小値
        /// </summary>
        public int Minimum
        {
            set
            {
                progress.Minimum = value;
            }
        }

        /// <summary>
        /// プログレスバーの最大値
        /// </summary>
        public int Maximum
        {
            set
            {
                progress.Maximum = value;
            }
        }

        /// <summary>
        /// プログレス場^の現在値
        /// </summary>
        public int Value
        {
            get
            {
                return progress.Value;
            }

            set
            {
                progress.Value = value;
            }
        }
    }
}
